Package twisted :: Package spread :: Module flavors :: Class Referenceable

[show private | hide private]
[frames | no frames]

## Class Referenceable

    Jellyable --+
                |
     Serializable --+
                    |
                   Referenceable

Known Subclasses:
  `ConnectionPool`, `TwistedWordsClient`, `Maildir`, `MaildirCollection`, `ManholeClient`, `SiblingMotherClient`, `Root`, `ViewPoint`, `AuthServ`, `AsReferenceable`, `AuthChallenger`, `IdentityWrapper`, `PathReferenceContextDirectory`, `PathReferenceDirectory`, `CallbackPageCollector`, `_ReferenceableProducerWrapper`

Method Summary
| `getStateFor(self, jellier)` (inherited from `Jellyable`)
| ``jellyFor`(self, jellier)` (internal)
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process. (inherited from `Serializable`)
| ``remoteMessageReceived`(self, broker, message, args, kw)` A remote message has been received.

Class Variable Summary
`NoneType` | `perspective`

Method Details

### jellyFor(self, jellier)

(internal)

Return a tuple which will be used as the s-expression to serialize this to a peer.

### remoteMessageReceived(self, broker, message, args, kw)

A remote message has been received. Dispatch it appropriately.

The default implementation is to dispatch to a method called 'remote_messagename' and call it with the same arguments.

Class Variable Details

### perspective

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 1.1 on Thu May 8 13:16:53 2003 | http://epydoc.sf.net